Bug 74339 - redhat-config-date writes to the /usr partition
Summary: redhat-config-date writes to the /usr partition
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-config-date   
(Show other bugs)
Version: RC2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-20 19:04 UTC by Daniel Walsh
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-14 20:36:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Walsh 2002-09-20 19:04:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
No applications should write to the /usr partition.  The disk should be able to
be mounted read-only so that diskless and shared /usr environments can exist.

redhat-config-date
Traceback (most recent call last):
  File "/usr/share/redhat-config-date/mainWindow.py", line 85, in ok_clicked
    self.dateBackend.writeNtpConfig(sysTimeServer, ntpServerList)
  File "/usr/share/redhat-config-date/dateBackend.py", line 126, in writeNtpConfig
    fd = open("/usr/share/redhat-config-date/ntpservers", "w")
IOError: [Errno 30] Read-only file system:
'/usr/share/redhat-config-date/ntpservers'

Application does not work with a read-only root.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Mount /usr read-only
2.run redhat-config-date
3.change to use a timeserver
	

Actual Results:  Application has a traceback.

Expected Results:  Should work

Additional info:

Comment 1 Brent Fox 2002-10-14 20:36:26 UTC
I will move the ntpservers file into /etc/ where it belongs.

Comment 2 Brent Fox 2002-10-14 20:45:41 UTC
Should be fixed in CVS now.  redhat-config-date-1.5.2-12 will move the file into
/etc/ntp/ntpservers instead of /usr/share/redhat-config-date/ntpservers.


Note You need to log in before you can comment on or make changes to this bug.